MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001915VCMIMechanics - Battlespublic2014-10-07 22:422015-08-24 09:25
ReporterPovelitel 
Assigned ToAVS 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.96b 
Target VersionFixed in Version0.98d 
Summary0001915: Frenzy - crash
DescriptionThe hero have angel. Cast him frenzy. Kill the enemy stack. (Eg 1 fairy). Then click the right mouse button on an angel - crash.
TagsNo tags attached.
Attached Filestxt file icon VCMI_Client_log.txt [^] (175,353 bytes) 2014-10-07 22:55 [Show Content]
txt file icon VCMI_Server_log.txt [^] (136,957 bytes) 2014-10-07 22:56 [Show Content]
txt file icon VCMI_Client_log1.txt [^] (100,697 bytes) 2015-04-04 14:26 [Show Content]
txt file icon VCMI_Server_log2.txt [^] (81,663 bytes) 2015-04-04 14:26 [Show Content]

- Relationships
related to 0001390closedAVS Crash in creaure window after multiple Blind / Stone gaze casts 
child of 0002185closedAVS Bonus system: incorrect usage of CBonusSystemNode::bonuses 

-  Notes
(0005372)
Povelitel (updater)
2015-01-10 09:58

qualification.

Cast Frenzy - kill unit - NEXT round begin - right mouse button click - crash.

True for 0.97b
(0005689)
Warmonger (administrator)
2015-04-03 09:17

Probably another issue with temporary spell bonuses.
(0005691)
Povelitel (updater)
2015-04-04 14:24

And new info. In 0.98 game crash if just cast frenzy and use R-click.

My army 50 archangels and 8 marksmen
I attack neytral, cast frenzy on marksmen, on the turn marksmen if r-click for marksmen = crash.
If I click on them once on the move archangel, nothing happens.

***
Нападаю на нейтралов, кастую на луков во время хода архангелов, если сразу на них кликнуть - ничего не происходит. Если дождать когда будут ходить луки и тогда кликнуть на них правой кнопкой - тогда вылет.
(0005793)
Povelitel (updater)
2015-08-24 09:25

No reproducibility in 0.98c

- Issue History
Date Modified Username Field Change
2014-10-07 22:42 Povelitel New Issue
2014-10-07 22:55 Povelitel File Added: VCMI_Client_log.txt
2014-10-07 22:56 Povelitel File Added: VCMI_Server_log.txt
2015-01-10 09:58 Povelitel Note Added: 0005372
2015-04-03 09:14 Povelitel Assigned To => AVS
2015-04-03 09:14 Povelitel Status new => assigned
2015-04-03 09:17 Warmonger Relationship added related to 0001390
2015-04-03 09:17 Warmonger Note Added: 0005689
2015-04-04 14:24 Povelitel Note Added: 0005691
2015-04-04 14:26 Povelitel File Added: VCMI_Client_log1.txt
2015-04-04 14:26 Povelitel File Added: VCMI_Server_log2.txt
2015-04-13 04:59 AVS Relationship added child of 0002185
2015-08-24 09:25 Povelitel Note Added: 0005793
2015-08-24 09:25 Povelitel Status assigned => closed
2015-08-24 09:25 Povelitel Resolution open => fixed
2015-08-24 09:25 Povelitel Fixed in Version => 0.98d

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean